- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_snmp_location – Manages SNMP location configuration on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages SNMP location configurations on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
location - / required |  | Location information.
state - | Choices: present ← absent | Manage the state of the resource.

## Notes

Note

- Recommended connection is `network_cli`.
- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: CloudEngine snmp location test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: "Config SNMP location"
        ce_snmp_location:
          state: present
          location: nanjing China
          provider: "{{ cli }}"

      - name: "Remove SNMP location"
        ce_snmp_location:
          state: absent
          location: nanjing China
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of aaa params after module execution Sample: {'location': 'nanjing China'}
existing dictionary | always | k/v pairs of existing aaa server
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'location': 'nanjing China', 'state': 'present'}
updates list | always | command sent to the device Sample: ['snmp-agent sys-info location nanjing China']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- wangdezhuang (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.